<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetMaintenancesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: asset_maintenances
         */
        Schema::create('asset_maintenances', function ($table) {
            $table->increments('id');
            $table->integer('asset_id')->nullable();
            $table->integer('asset_type')->nullable();
            $table->integer('financial_plan_id')->nullable();
            $table->double('rep_cost', 50)->nullable();
            $table->integer('actual_remaining_life')->nullable();
            $table->string('asset_condition', 100)->nullable();
            $table->integer('risk')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('asset_maintenances');
    }
}
