# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/moblyze/asset_maintenance/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/moblyze/asset_maintenance/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Moblyze\\AssetMaintenance\\": "packages/moblyze/asset_maintenance/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Moblyze\AssetMaintenance\Providers\AssetMaintenanceServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'AssetMaintenance'  => Moblyze\AssetMaintenance\Facades\AssetMaintenance::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Moblyze\\AssetMaintenanceTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\AssetMaintenance\Providers\AssetMaintenanceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\AssetMaintenance\Providers\AssetMaintenanceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\AssetMaintenance\Providers\AssetMaintenanceServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asset_maintenance/{modulename}

**User**

    http://path-to-route-folder/user/asset_maintenance/{modulename}

**Public**

    http://path-to-route-folder/asset_maintenances


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/asset_maintenance/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asset_maintenance/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asset_maintenance/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asset_maintenance/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asset_maintenance/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asset_maintenance/{modulename}/{slug}
    METHOD: GET