<?php

// API routes  for asset_maintenance
Route::prefix('{guard}/asset_maintenance')->group(function () {
    Route::get('asset_maintenance/form/{element}', 'AssetMaintenanceAPIController@form');
    Route::resource('asset_maintenance', 'AssetMaintenanceAPIController');
});

// Public routes for asset_maintenance
Route::get('asset_maintenances/', 'AssetMaintenancePublicController@index');
Route::get('asset_maintenances/{slug?}', 'AssetMaintenancePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for asset_maintenances
            Route::prefix('{guard}/asset_maintenance')->group(function () {
                Route::get('asset_maintenance/form/{element}', 'AssetMaintenanceAPIController@form');
                Route::apiResource('asset_maintenance', 'AssetMaintenanceAPIController');
            });
            // Public routes for asset_maintenances
            Route::get('asset_maintenance/AssetMaintenance', 'AssetMaintenancePublicController@getAssetMaintenance');
        }
    );
}

