<?php

namespace Moblyze\AssetMaintenance;

use User;

class AssetMaintenance
{
    /**
     * $asset_maintenance object.
     */
    protected $asset_maintenance;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\AssetMaintenance\Interfaces\AssetMaintenanceRepositoryInterface $asset_maintenance)
    {
        $this->asset_maintenance = $asset_maintenance;
    }

    /**
     * Returns count of asset_maintenance.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.asset_maintenance.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->asset_maintenance->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\AssetMaintenanceUserCriteria());
        }

        $asset_maintenance = $this->asset_maintenance->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('asset_maintenance::' . $view, compact('asset_maintenance'))->render();
    }
}
