<?php

namespace Moblyze\AssetMaintenance\Forms;

class AssetMaintenance
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'asset_id' => [
                    "type" => 'numeric',
                    "label" => trans('asset_maintenance::asset_maintenance.label.asset_id'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.asset_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'asset_type' => [
                    "type" => 'numeric',
                    "label" => trans('asset_maintenance::asset_maintenance.label.asset_type'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.asset_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'financial_plan_id' => [
                    "type" => 'numeric',
                    "label" => trans('asset_maintenance::asset_maintenance.label.financial_plan_id'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.financial_plan_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'rep_cost' => [
                    "type" => 'decimal',
                    "label" => trans('asset_maintenance::asset_maintenance.label.rep_cost'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.rep_cost'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'actual_remaining_life' => [
                    "type" => 'numeric',
                    "label" => trans('asset_maintenance::asset_maintenance.label.actual_remaining_life'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.actual_remaining_life'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'asset_condition' => [
                    "type" => 'text',
                    "label" => trans('asset_maintenance::asset_maintenance.label.asset_condition'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.asset_condition'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'risk' => [
                    "type" => 'numeric',
                    "label" => trans('asset_maintenance::asset_maintenance.label.risk'),
                    "placeholder" => trans('asset_maintenance::asset_maintenance.placeholder.risk'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
