<?php

namespace Moblyze\AssetMaintenance\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AssetMaintenanceTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\AssetMaintenance\Models\AssetMaintenance $asset_maintenance)
    {
        return [
            'id'                => $asset_maintenance->getRouteKey(),
            'key'               => [
                'public'    => $asset_maintenance->getPublicKey(),
                'route'     => $asset_maintenance->getRouteKey(),
            ], 
            'asset_id'          => $asset_maintenance->asset_id,
            'asset_type'        => $asset_maintenance->asset_type,
            'financial_plan_id' => $asset_maintenance->financial_plan_id,
            'rep_cost'          => $asset_maintenance->rep_cost,
            'actual_remaining_life' => $asset_maintenance->actual_remaining_life,
            'asset_condition'   => $asset_maintenance->asset_condition,
            'risk'              => $asset_maintenance->risk,
            'url'               => [
                'public'    => trans_url('asset_maintenance/'.$asset_maintenance->getPublicKey()),
                'user'      => guard_url('asset_maintenance/asset_maintenance/'.$asset_maintenance->getRouteKey()),
            ], 
            'status'            => trans('app.'.$asset_maintenance->status),
            'created_at'        => format_date($asset_maintenance->created_at),
            'updated_at'        => format_date($asset_maintenance->updated_at),
        ];
    }
}